## epl 0.9

=== Makefile ===
EMACS ?= emacs
CASK ?= cask
TESTARGS =

PKGDIR := $(shell EMACS=$(EMACS) $(CASK) package-directory)

# Export the used EMACS to recipe environments
export EMACS

SRCS = epl.el
OBJECTS = $(SRCS:.el=.elc)

.PHONY: compile
compile: $(OBJECTS)

.PHONY: clean
clean:
	rm -rf $(OBJECTS)

.PHONY: test
test: compile
	$(CASK) exec ert-runner $(TESTARGS)

$(PKGDIR):
	$(CASK) install
	touch $(PKGDIR)

%.elc: %.el $(PKGDIR)
	$(CASK) exec $(EMACS) -Q --batch -f batch-byte-compile $<

## epl 0.8

=== debian/changelog ===
epl (0.8-1) unstable; urgency=medium

  * Initial release. (Closes: #807863)

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Jan 2016 08:49:21 -0700

=== debian/control ===
Source: epl
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17), s-el (>= 1.9.0), dash-el (>= 2.11.0), elpa-f (>= 0.17.3)
Standards-Version: 3.9.6
Homepage: https://github.com/cask/epl
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/epl.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/epl.git/

Package: elpa-epl
Architecture: all
Depends: ${misc:Depends}, emacs
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: Emacs Package Library
 EPL provides a convenient high-level API for various versions of
 package.el, and aims to overcome its most striking idiosyncracies.
 .
 Functions are provided to get information about packages and manage
 packages in a user's Emacs configuration.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa
override_dh_auto_clean:
	true
override_dh_auto_build:
	true
override_dh_auto_test:
	emacs --batch -Q \
		--eval "(progn (require 'package) (add-to-list 'package-directory-list \"/usr/share/emacs/site-lisp/elpa-src\"))" \
		-f package-initialize \
		-L /usr/share/emacs/site-lisp/s-el \
		-L /usr/share/emacs/site-lisp/dash-el \
		-l test/test-helper.el \
		-l test/epl-test.el \
		--eval "(ert-run-tests-batch-and-exit)"

## epl 0.9

=== debian/changelog ===
epl (0.9-9) unstable; urgency=medium

  * QA upload.
  * d/rules: Fix clean target. Closes: #1044208.
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Mon, 01 Dec 2025 14:15:00 +0100

epl (0.9-8) unstable; urgency=medium

  * Orphan package.
  * Run 'wrap-and-sort -ast'.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Apr 2025 12:10:06 +0800

epl (0.9-7) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:15:09 +0900

epl (0.9-6) unstable; urgency=medium

  * Team upload.
  * Set HOME=/nonexistent for build. This triggers code in emacs to handle
    non-existent home directories.(Closes: #1027542).

 -- David Bremner <bremner@debian.org>  Mon, 06 Mar 2023 09:44:16 -0800

epl (0.9-5) unstable; urgency=medium

  * Update build-dep dash-el -> elpa-dash (Closes: #995582).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 02 Oct 2021 10:06:01 -0700

epl (0.9-4) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs25 from Enhances (package does not exist in bullseye).

  [ Sean Whitton ]
  * Update build-dep s-el -> elpa-s (Closes: #992900).
  * Drop --parallel from d/rules.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 Aug 2021 14:21:27 -0700

epl (0.9-3) unstable; urgency=medium

  * Team upload

  [ David Krauser ]
  * Update maintainer email address

  [ David Bremner ]
  * Rebuild with dh-elpa 2.x
  * Fix Vcs-Git url
  * Remove malformed d/lintian-overrides

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 08:00:31 -0400

epl (0.9-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 09:37:44 -0300

epl (0.9-1) unstable; urgency=medium

  * New upstream release.
    - Add d/copyright stanza for new test resources.
  * Update d/elpa to install only epl.el.
  * Bump to debhelper compat 10.
  * Use dh_elpa_test to run testsuite.
    - Add d/elpa-test.
  * Bump copyright years for debian/.
  * Drop d/source/local-options for dgit.
  * Declare compliance with Debian Policy 4.1.3.
  * Point Vcs-* fields at salsa.
  * Enhances emacs24 -> emacs25
  * Revert changes to .gitignore so that it matches upstream.
  * Run wrap-and-sort -abst

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 09 Feb 2018 18:50:33 -0700

=== debian/control ===
Source: epl
Section: lisp
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-elpa (>= 0.0.17),
 elpa-dash (>= 2.11.0),
 elpa-f (>= 0.17.3),
 elpa-s (>= 1.9.0),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/emacsen-team/epl
Vcs-Git: https://salsa.debian.org/emacsen-team/epl.git
Homepage: https://github.com/cask/epl

Package: elpa-epl
Architecture: all
Depends:
 emacs,
 ${misc:Depends},
Recommends:
 emacs (>= 46.0),
Enhances:
 emacs,
Built-Using:
 ${misc:Built-Using},
Description: Emacs Package Library
 EPL provides a convenient high-level API for various versions of
 package.el, and aims to overcome its most striking idiosyncracies.
 .
 Functions are provided to get information about packages and manage
 packages in a user's Emacs configuration.

=== debian/rules ===
#!/usr/bin/make -f

export DH_ELPA_TEST_ERT_EVAL=(progn (load-file "test/test-helper.el") (load-file "test/epl-test.el"))

# as a temporary workaround, trigger emacs handling of nonexistent
# home directories.
export HOME=/nonexistent
%:
	dh $@ --with elpa

override_dh_auto_clean:
	find * -name "*.elc" -delete
	rm -rf test/sandbox

override_dh_auto_build:
	true
